Name:    poxml
Summary: Text utilities from kdesdk
Version: 4.11.5
Release: 1%{?dist}

License: GPLv2+
URL:     http://www.kde.org/
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

%if 0%{?fedora} || 0%{?rhel} > 6
BuildRequires: antlr-static antlr-tool
%else
BuildRequires: antlr jpackage-utils
BuildRequires: java >= 1.6
%endif
BuildRequires:  kdelibs4-devel >= %{version}
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(libxslt)

Conflicts:      kdesdk-common < 4.10.80
Provides:       kdesdk-poxml = %{version}-%{release}
Obsoletes:      kdesdk-poxml < 4.10.80


%description
Text utilities from kdesdk, including
po2xml
split2po
swappo
xml2pot

%prep
%setup -q -n %{name}-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%files
%doc COPYING COPYING.DOC
%{_kde4_bindir}/po2xml
%{_kde4_bindir}/split2po
%{_kde4_bindir}/swappo
%{_kde4_bindir}/xml2pot
%{_mandir}/man1/po2xml*
%{_mandir}/man1/split2po*
%{_mandir}/man1/swappo*
%{_mandir}/man1/xml2pot*


%changelog
* Sat Jan 04 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.11.5-1
- 4.11.5

* Fri Dec 13 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.4-1
- 4.11.4

* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Tue Aug 13 2013 Jan Grulich <jgrulich@redhat.com> - 4.11.0-1
- 4.11.0

* Thu Aug 08 2013 Jan Grulich <jgrulich@redhat.com> - 4.10.97-1
- Split off from kdesdk package
